

//  Pins
//  BT VCC to Arduino 5V out.
//  BT GND to GND
//  Arduino D11 to BT RX
//  Arduino D10 BT TX

//
//  When a command is entered in the serial monitor on the computer
//  the Arduino will relay it to the bluetooth module and display the result.
//
//  The HC-05 modules require both CR and NL

#include<SoftwareSerial.h>
SoftwareSerial BTSerial(10, 11);



void setup() {
  pinMode(13,OUTPUT);
  digitalWrite(13, LOW);
 
  

  Serial.begin(38400);
  BTSerial.begin(38400);
  Serial.println("Sketch HC-05");
  Serial.println("Arduino with HC-05 is ready");
  Serial.println("Make sure Both NL & CR are set");
  Serial.println("");

 
}

void loop() {
   if (BTSerial.available())
    Serial.write(BTSerial.read());
  if (Serial.available())
    BTSerial.write(Serial.read());
}
